/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.juddi.datastore.dht;

import java.util.Iterator;
import java.util.Set;
import java.util.Vector;

import org.apache.juddi.datastore.dht.datatype.ServiceName;

import bunshin.util.ResultSortedQueue;
import bunshin.util.ResultSortedQueue.Item;
import bunshin.util.ResultSortedQueue.ResultIterator;
import dermi.DHTHandler;
import dermi.core.Id;
import dermi.exception.RemoteException;

/**
 * @author Oscar Barrios (oscar.barrios@estudiants.urv.es)
 */
class FindServiceByNameQuery {

	static {
	
	}

	@SuppressWarnings("unchecked")
	static Vector<ServiceName> select(Vector<String> nameList, DHTHandler connection){
		ResultSortedQueue tmp = null;
		Vector<ServiceName> keyVector = new Vector<ServiceName>();
		String txt="";
		Iterator it = nameList.iterator();
		while(it.hasNext()){
			txt+=(String)it.next() + " ";
		}
		try {
			tmp = connection.query(txt);
			
		} catch (RemoteException e) {

			e.printStackTrace();
		}
		
		ResultIterator it2 = tmp.getItems();
		if (it2 != null){
		while (it2.hasNext()) {
			try {
				Item x = it2.next();
				Id num = (Id) x.getValue();
				if ((connection.retrieve(num)).getClass().getName().equals("org.apache.juddi.datastore.dht.datatype.ServiceName")){
				ServiceName sn = (ServiceName) connection.retrieve(num);
				keyVector.add(sn);
				}
			} catch (RemoteException e) {

				e.printStackTrace();
			}
		}
		}else{
		}
		return keyVector;
	}

	
}
