/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.juddi.datastore.dht;
import java.util.Properties;

import junit.framework.Test;
import junit.framework.TestCase;
import dermi.Registry;
import dermi.exception.RemoteException;

/**
 * @author Steve Viens (sviens@apache.org)
 */
public class TestAll extends TestCase {
	public TestAll(String testName) {
		super(testName);
	}

	public static Test suite() {

		try {
			Properties env = Registry.getEnvironment ("dermi-config.xml");
		    Registry.loadRegistry ("dermi-config.xml");
		} catch (RemoteException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		try {
			 new TestBusinessEntityTable();
			 new TestBusinessDescTable();
			 new TestBusinessCategoryTable();
			 new TestBusinessIdentifierTable();
			 new TestBusinessNameTable();
			 new TestDiscoveryURLTable();
			 new TestContactTable();
			 new TestContactDescTable();
			 new TestPhoneTable();
			 new TestEmailTable();
			 new TestAddressLineTable();
			 new TestAddressLineTable();
			 new TestBusinessServiceTable();
			 new TestServiceDescTable();
			 new TestServiceCategoryTable();
			 new TestServiceNameTable();
			 new TestBindingTemplateTable();
			 new TestBindingDescTable();
			 new TestTModelInstanceInfoTable();
			 new TestTModelInstanceInfoDescTable();
			 new TestInstanceDetailsDescTable();
			 new TestInstanceDetailsDocDescTable();
			 new TestTModelTable();
			 new TestTModelDescTable();
			 new TestTModelCategoryTable();
			 new TestTModelIdentifierTable();
			 new TestAuthTokenTable();
			 new TestPublisherTable();
		} catch (Exception ex) {
			ex.printStackTrace();
		}

		return null;
	}

	public static void main(String args[]) {
		String[] testCaseName = { TestAll.class.getName() };
		junit.textui.TestRunner.main(testCaseName);
	}
}