package DuddiBean;


import java.util.Iterator;
import java.util.Vector;

import org.apache.juddi.datastore.dht.BusinessServiceTable;
import org.apache.juddi.datastore.dht.DHTDataStore;
import org.apache.juddi.datastore.dht.DiscoveryURLTable;
import org.apache.juddi.datastore.dht.datatype.BusinessEntity;
import org.apache.juddi.datastore.dht.datatype.ServiceName;
import org.apache.juddi.datatype.service.BusinessService;


import dermi.DHTHandler;
import dermi.exception.RemoteException;



/**
 * @author Oscar Barrios Torrero
 * 
 */
public class Connect {

	
	public Connect() {
	}

	/*
	 * Return a Vector of DiscoveryURL, find by service name 
	 */
	
	@SuppressWarnings("unchecked")
	public Vector getDiscoveryURLbyName(Vector nameList, DHTHandler conn) {
		Vector urlList = new Vector();
		Vector<ServiceName> ServiceNameList = new Vector<ServiceName>();
		try {
				
			if (conn != null) {
				try {
					DHTDataStore ds = new DHTDataStore(conn);
					ServiceNameList = ds.findService("", nameList, null, null,
							null);
					Iterator it = ServiceNameList.iterator();
					while (it.hasNext()) {
						ServiceName sn = (ServiceName) it.next();
						BusinessService bs = BusinessServiceTable.select(sn
								.getServiceKey(), conn);
						System.out.println("DicoveryURLbyName bs = " + bs.getServiceKey() + " | "+ bs.getServiceKey());
						urlList.addAll(DiscoveryURLTable.select(bs
								.getBusinessKey(), conn));
						
					}
					
				} catch (Exception ex) {

					try {
						throw ex;
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
			}
		} finally {
			if (conn != null)
				try {
					conn.leave();
				} catch (RemoteException e) {
					e.printStackTrace();
				}
		}
		return urlList;

	}

/*
 * Insert web service information in duddi
 */
	public boolean insertService(BusinessService bs, BusinessEntity be, DHTHandler conn) {
		boolean confirmation = false;

		try {
			
			if (conn != null) {
				try {
					DHTDataStore ds = new DHTDataStore(conn);
					ds.saveService(bs);
					ds.saveBusiness(be.getBusiness(), be.getPublisherID());
					confirmation=true;
				} catch (Exception ex) {

					try {
						throw ex;
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
			}
		} finally {
			if (conn != null)
				try {
					conn.leave();
				} catch (RemoteException e) {
					e.printStackTrace();
				}
		}

		return confirmation;

	}
	
}
